﻿@model IEnumerable<Seventy.ViewModel.EDU.Lesson.LessonEditViewModel>
@using (Html.BeginForm("Index", "Home"))
{
    <section id="configuration">
        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-header">
                        <h4 class="card-title">لیست دسته بندی های ثبت شده</h4>
                        <a class="heading-elements-toggle"><i class="la la-ellipsis-v font-medium-3"></i></a>
                        <div class="heading-elements">
                            <ul class="list-inline mb-0">
                                <li><a data-action="collapse"><i class="ft-minus"></i></a></li>
                                <li><a data-action="reload"><i class="ft-rotate-cw"></i></a></li>
                                <li><a data-action="expand"><i class="ft-maximize"></i></a></li>
                                <li><a data-action="close"><i class="ft-x"></i></a></li>
                            </ul>
                        </div>
                    </div>
                    <div class="card-content collapse show">
                        <div class="card-body card-dashboard">
                            <p class="card-text">شما میتوانید از جدول زیر اقدام به ویرایش یا حذف اطلاعات کنید</p>
                            <div class="table-responsive">
                                <table class="table table-striped table-bordered zero-configuration">
                                    <thead>
                                        <tr>
                                            <th>#</th>
                                            <th>@Html.DisplayNameFor(q => q.Title)</th>
                                            <th>@Html.DisplayNameFor(q => q.Description)</th>
                                            <th>@Html.DisplayNameFor(q => q.PicFileID)</th>
                                            <th>عملیات</th>

                                        </tr>
                                    </thead>
                                    <tbody>
                                    </tbody>
                                    <tfoot>
                                        @foreach (var item in Model)
                                        {
                                            <tr>
                                                <th>#</th>
                                                <th>@Html.DisplayFor(q => item.Title)</th>
                                                <th>@Html.DisplayFor(q => item.Description)</th>
                                                <th><img src="@item.PicFileID" asp-append-version="true">
                                                </th>
                                                <th>
                                                    <a asp-area="Edu" asp-controller="Home" asp-action="Delete" asp-route-id="@item.ID">حذف</a>
                                                    <a asp-area="Edu" asp-controller="Home" asp-action="Edit" asp-route-id="@item.ID">ویرایش</a>
                                                </th>
                                            </tr>
                                        }
                                    </tfoot>
                                </table>
                            </div>
                            <nav class="mb-3" aria-label="Page navigation">
                                <ul class="pagination">
                                    <li class="page-item">
                                        <a class="page-link" href="javascript:void(0)" onclick="PrevPage()" aria-label="Previous">
                                            <span aria-hidden="true">« قبلی</span>
                                            <span class="sr-only">قبلی</span>
                                        </a>
                                    </li>
                                    <div id="pages" class="d-flex">
                                        <li class="page-item">
                                            <a class="page-link" href="javascript:void(0)" onclick="LoadPage(1)">1<span class="spinner-border spinner-border-sm hidden" role="status" aria-hidden="true" id="PageBtn_1"></span></a>
                                        </li>
                                    </div>
                                    <li class="page-item">
                                        <a class="page-link" href="javascript:void(0)" onclick="NextPage()" aria-label="Next">
                                            <span aria-hidden="true">بعدی »</span>
                                            <span class="sr-only">بعدی</span>
                                        </a>
                                    </li>
                                </ul>
                            </nav>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
}


@section Scripts{

    @*DataTbl*@
    <script src="/app-assets/vendors/js/tables/datatable/datatables.min.js" type="text/javascript"></script>
    <script>
        /* Pageination */
        var tbl;
        var currentPage = 1;
        var total = 1;
        function LoadPage(id) {
            currentPage = id;
            getPageItems();
        }
        function NextPage() {
            if (currentPage < total) {
                currentPage += 1;
                getPageItems();
            }
        }
        function PrevPage() {
            if (currentPage > 1) {
                currentPage -= 1;
                getPageItems();
            }
        }

        function getPageItems() {
            var p = $("#PageBtn_" + currentPage);
            p.removeClass("hidden");
            tbl.clear().draw();
            $.ajax({
                type: "POST",
                url: "/Edu/getAllCourseCategory",
                data: {
                    PageNo: currentPage,
                },
                success: function (data) {
                    if (data.includes("_|_")) {
                        var spl = data.split("_%_");
                        var totalPage = spl[0];
                        total = parseInt(totalPage);
                        $("#pages").html(LoadPageNumbers(totalPage));
                        var spl = spl[1].split("_$_");
                        jQuery.each(spl, function (i, val) {
                            var sub = val.split('_|_');
                            if (sub[0] != '') {
                                var row = tbl.row.add([
                                    sub[0],
                                    sub[1],
                                    sub[2],
                                    sub[3],
                                    '<button type="button" class="btn-sm btn-warning" onclick="Edit(' + sub[0] + ')">ویرایش</button>  ' +
                                    '<button type="button" class="btn-sm btn-danger" onclick="Delete(' + sub[0] + ')">حذف</button>'
                                ]);
                                row.node().id = 'Row_' + sub[0];

                                tbl.draw(true);
                            }
                        });
                        p.addClass("hidden");
                    }
                    else {
                        p.addClass("hidden");
                    }
                }, error: function (data) {
                    swal("خطا", data.statusText, "error");
                    p.addClass("hidden");
                }
            });
        }
        function LoadPageNumbers(totalPage) {
            var res = "";
            var added = 0;
            var cur = currentPage - 2;
            for (var i = cur; i <= totalPage; i++) {
                if (i >= 1) {
                    res += '<li class="page-item"><a class="page-link" href="javascript:void(0)" onclick="LoadPage(' + i + ')">' + i + '<span class="spinner-border spinner-border-sm hidden" role="status" aria-hidden="true" id="PageBtn_' + i + '"></span></a></li>';
                    added += 1;
                }
                if (added >= 7) {
                    break;
                }
            }
            return res;
        }
        $(document).ready(function () {
            tbl = $('.zero-configuration').DataTable({
                "paging": false,
                "processing": true,
            });
            getPageItems();
        });

        function Edit(id) {
            swal({
                title: 'جهت ویرایش این اطلاعات مطمئن هستید؟',
                text: 'شما نمی توانید این را برگردانید!',
                type: 'warning',
                showCancelButton: true,
                confirmButtonColor: '#3085d6',
                cancelButtonColor: '#d33',
                confirmButtonText: 'بله ، آن را ویرایش میکنم!',
                cancelButtonText: 'منصرف شدم',
            }).then((result) => {
                if (result.value) {
                    doEdit(id);
                }
            });
        }
        function doEdit(id) {
            document.location.href = "/Edu/CourseCategory?id=" + id;
        }
        function Delete(id) {
            swal({
                title: 'جهت حذف این اطلاعات مطمئن هستید؟',
                text: 'شما نمی توانید این را برگردانید!',
                type: 'warning',
                showCancelButton: true,
                confirmButtonColor: '#3085d6',
                cancelButtonColor: '#d33',
                confirmButtonText: 'بله ، آن را حذف میکنم!',
                cancelButtonText: 'منصرف شدم',
            }).then((result) => {
                if (result.value) {
                    doDelete(id);
                }
            });
        }
        function doDelete(id) {
            $.ajax({
                type: "POST",
                url: "/Edu/RemoveCourseCategory",
                data: {
                    EntityID: id,
                },
                success: function (data) {
                    if (data == "done") {
                        $("#Row_" + id).remove();
                        swal("انجام شد", data.statusText, "success");
                    }
                    else {
                        swal("خطا", data.statusText, "error");
                    }
                }, error: function (data) {
                    swal("خطا", data.statusText, "error");
                }
            });
        }
    </script>
}